%define name ivtv-firmware
%define version 18_22037
%define release 1plf

Summary: Firmware for the PVR250/350 model series.
Name: %{name}
Version: %{version}
Release: %{release}
License: Hauppauge/Conexant
Group: System/Kernel and hardware
URL: http://www.hauppauge.com/html/sw_pvr_250.htm#driver
#Source0: http://hauppauge.lightpath.net/software/pvr250/pvr250_%{version}.exe
Source0: http://hauppauge.lightpath.net/de/pvr2/pvr250_%{version}.exe
Source1: ivtvfwextract.pl
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the firmware for driving WinTV PVR 250/350 cards.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/
%{SOURCE1} %{SOURCE0} %{buildroot}/lib/modules/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
/lib/modules/ivtv-fw-dec.bin
/lib/modules/ivtv-fw-enc.bin

%changelog
* Sat May 09 2004 Stefan van der Eijk <stefan@eijk.nu> 18_22037-1plf
- 22037
- BuildArch: noarch

* Thu Mar 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 18_22035-1thac
- Update to 1.8 (22035).

* Fri Jan 02 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 17_21288-1thac
-Rebuilt for Mandrake 9.2

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.


